### Enumeration

# Phosh NotifyScreenWakeupFlags

since: 0

#### Declaration

    flags Phosh.NotifyScreenWakeupFlags

#### Description [src]

What notification properties trigger screen wakeup.

Available since: 0

#### Members

`PHOSH_NOTIFY_SCREEN_WAKEUP_FLAG_ANY`

  Wakeup screen on any notification.

  - Value: `1`
  - Nickname: `any`
  - Available since: 0
`PHOSH_NOTIFY_SCREEN_WAKEUP_FLAG_URGENCY`

  Wakeup screen based on notification urgency.

  - Value: `2`
  - Nickname: `urgency`
  - Available since: 0
`PHOSH_NOTIFY_SCREEN_WAKEUP_FLAG_CATEGORY`
  No description available.
  - Value: `4`
  - Nickname: `category`
  - Available since: 0